<?php

declare(strict_types=1);

namespace App\Entity\Core;

// use DH\Auditor\Provider\Doctrine\Auditing\Annotation\Auditable;
use ApiPlatform\Metadata\ApiResource;
use Doctrine\ORM\Mapping as ORM;

/**
 * Enum des genres d'art, sous-type de Subfamilly.
 */
// #[Auditable]
#[ApiResource(operations: [])]
#[ORM\Entity]
class Gender
{
    #[ORM\Id]
    #[ORM\Column]
    #[ORM\GeneratedValue]
    private ?int $id = null;

    public function getId(): ?int
    {
        return $this->id;
    }
}
